#! /usr/bin/env sh
set -e

echo "runNewMesh.sh started" >> scripts.log
if test -n "$1"
then
  N=$1
  echo "N detected: $N" >> scripts.log
  sed -i 's#^N [0-9]*;$#N '$1';#' parameters
  grep -e '^N ' parameters >> scripts.log
fi
rm -rf constant/polyMesh
foamListTimes -rm
rm -rf postProcessing
rm -rf '0/grad(T)'
rm -rf '0/mag(grad(T))'
blockMesh
decomposePar -force
foamJob -wait -p buoyantBoussinesqPimpleFoam
reconstructPar

# Calculate the average of the magnitude of the temperature gradient
postProcess -func 'grad(T)'
postProcess -func 'mag(grad(T))'
postProcess -func 'patchAverage(name=cylinder,mag(grad(T)))'
